package com.icloud.server.redis;


import java.io.Serializable;

/**
 * @Author : yang
 * @Date : 2019/5/29 10:37 PM
 * @Version : 1.2.1
 */
//@Builder(toBuilder = true)
//@Getter
//@Setter
public class PayRedis implements Serializable {
    private static final long serialVersionUID = 2364109235814001213L;
    private int id;

    private String uid;
    /**
     * 商品id
     */
    private String goodsid;
    /**
     * 学生id
     */
    private String studentid;
    /**
     * 开始时间
     */
    private String starttime;

    /**
     * 金额
     */
    private String price;
    /**
     * url
     */
    private String url;
    /**
     * 过期时间
     */
    private String expire;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getGoodsid() {
        return goodsid;
    }

    public void setGoodsid(String goodsid) {
        this.goodsid = goodsid;
    }

    public String getStudentid() {
        return studentid;
    }

    public void setStudentid(String studentid) {
        this.studentid = studentid;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getExpire() {
        return expire;
    }

    public void setExpire(String expire) {
        this.expire = expire;
    }

    public PayRedis(int id, String uid, String goodsid, String studentid, String starttime, String price, String url, String expire) {
        this.id = id;
        this.uid = uid;
        this.goodsid = goodsid;
        this.studentid = studentid;
        this.starttime = starttime;
        this.price = price;
        this.url = url;
        this.expire = expire;
    }
}
